package com.game.business.controller;

import com.game.business.domain.AppGameBetting;
import com.game.business.service.IAppGameBettingService;
import com.game.common.core.controller.BaseController;
import com.game.common.core.domain.AjaxResult;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/game/betting")
@Api(value = "AppGameBettingController", description = "游戏投注接口", tags = {"游戏投注、查询记录等"})
public class AppGameBettingController extends BaseController{

    @Autowired
    private IAppGameBettingService appGameBettingService;

    /**
     * 下注
     */
    @PostMapping(value = "/create")
    public AjaxResult betting(@RequestBody AppGameBetting gameBetting)
    {
        // 获取用户金额，判断投注金额是否大于余额
        if(gameBetting.getBettingAmount() > 0){
            return error("余额不足，投注失败。");
        }

        // 投注时间判断，根据游戏ID和期号，查询游戏开奖剩余时间
        if(gameBetting.getBettingAmount() > 0){
            return error("已超过投注下单时间");
        }

        // 插入投注记录
        appGameBettingService.save(gameBetting);
        return success();
    }
}
