package com.game.business.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.game.common.annotation.Excel;
import com.game.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.util.Date;

/**
 * 游戏配置对象 app_game
 *
 * @author game
 * @date 2024-06-14
 */
@ApiModel(value = "app_game", description = "游戏配置")
@TableName(value= "app_game")
@Data
public class AppGame {
private static final long serialVersionUID=1L;

    /** $column.columnComment */
    @ApiModelProperty(value = "$column.columnComment")
    @TableId(value = "id" , type = IdType.AUTO)
    private Long id;

    /** 名称 */
    @ApiModelProperty(value = "名称")
    @Excel(name = "名称")
    @TableField(value = "name")
    private String name;

    /** 所属分类id */
    @ApiModelProperty(value = "所属分类id")
    @Excel(name = "所属分类id")
    @TableField(value = "classify_id")
    private Long classifyId;

    /** logo */
    @ApiModelProperty(value = "logo")
    @Excel(name = "logo")
    @TableField(value = "logo_url")
    private String logoUrl;

    /** 游戏路径 */
    @ApiModelProperty(value = "游戏路径")
    @Excel(name = "游戏路径")
    @TableField(value = "game_path")
    private String gamePath;

    /** 是否启用 0：未启用  1：已启用 */
    @ApiModelProperty(value = "是否启用 0：未启用  1：已启用")
    @Excel(name = "是否启用 0：未启用  1：已启用")
    @TableField(value = "status")
    private Long status;

    /** 排序 */
    @ApiModelProperty(value = "排序")
    @Excel(name = "排序")
    @TableField(value = "orderno")
    private Long orderno;

    /** 备用字段1 */
    @ApiModelProperty(value = "备用字段1")
    @Excel(name = "备用字段1")
    @TableField(value = "game_expand1")
    private String gameExpand1;

    /** 备用字段2 */
    @ApiModelProperty(value = "备用字段2")
    @Excel(name = "备用字段2")
    @TableField(value = "game_expand2")
    private String gameExpand2;

    /** 备用字段3 */
    @ApiModelProperty(value = "备用字段3")
    @Excel(name = "备用字段3")
    @TableField(value = "game_expand3")
    private String gameExpand3;

    /** 备用字段4 */
    @ApiModelProperty(value = "备用字段4")
    @Excel(name = "备用字段4")
    @TableField(value = "game_expand4")
    private String gameExpand4;

    /** 备用字段4 */
    @ApiModelProperty(value = "创建时间")
    @Excel(name = "创建时间")
    @TableField(value = "create_time")
    private Date createTime;

}